# Interface methods for submodule: ShrinkImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: ShrinkImageFilter
class ShrinkImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetShrinkFactors(self, _arg: Sequence[int]) -> None:
		""""""
		...

	@overload
	def SetShrinkFactors(self, factor: int) -> None:
		""""""
		...

	def SetShrinkFactor(self, i: int, factor: int) -> None:
		""""""
		...

	def GetShrinkFactors(self) -> Sequence[int]:
		""""""
		...

	def GenerateOutputInformation(self) -> None:
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

